Skip to main content
POST
/
api
/
v1
/
instance
create entity
curl --request POST \
  --url https://api.example.com/api/v1/instance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "licenseId": 123,
  "organisationId": 123,
  "projectId": 123,
  "licenseStatus": "PENDING",
  "status": "ACTIVE"
}
'
{
  "license": {
    "name": "<string>",
    "version": "<string>",
    "id": 1,
    "createdAt": 123,
    "updatedAt": 123,
    "status": "ACTIVE",
    "icon": "<string>",
    "scoreGroups": [
      {
        "id": 1,
        "createdAt": 123,
        "updatedAt": 123,
        "status": "ACTIVE",
        "name": "<string>",
        "title": "<string>",
        "description": "<string>"
      }
    ],
    "params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
    "groupScript": "<string>",
    "scoreScript": "<string>"
  },
  "organisationId": 123,
  "projectId": 123,
  "licenseStatus": "PENDING",
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "licenseInstanceMeta": [
    {
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE",
      "licenseInstanceId": 123,
      "startedAt": "2022-03-10T16:15:50Z",
      "expiredAt": "2022-03-10T16:15:50Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
licenseId
integer<int64>
required

License id

organisationId
integer<int64>
required

Organisation id

projectId
integer<int64>
required

Project id

licenseStatus
enum<string>
required

Organisation Tenant License status

Available options:
PENDING,
LICENCED,
CANCELED
status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED

Response

200 - application/json

OK

license
object
required

License object

organisationId
integer<int64>
required

Organisation id

projectId
integer<int64>
required

Project id

licenseStatus
enum<string>
required

Organisation Tenant License status

Available options:
PENDING,
LICENCED,
CANCELED
id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
licenseInstanceMeta
object[]

Metadata of license instance